# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Direction Class Reference

`#include <PGeom2d_Direction.hxx>`

Inheritance diagram for PGeom2d_Direction:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_Direction ()
| Creates a unit vector with default values. .
Standard_EXPORT | PGeom2d_Direction (const gp_Vec2d &aVec)
| Create a unit vector with <avec>. .
| PGeom2d_Direction (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Direction::PGeom2d_Direction | ( |  | ) |

Standard_EXPORT PGeom2d_Direction::PGeom2d_Direction | ( | const gp_Vec2d & | aVec | ) |

PGeom2d_Direction::PGeom2d_Direction | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom2d_Direction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Vector.

The documentation for this class was generated from the following file:

- PGeom2d_Direction.hxx